DFSZKFailoverController (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.tools, class: DFSZKFailoverController

Package org.apache.hadoop.hdfs.tools

# Class DFSZKFailoverController

java.lang.Object
org.apache.hadoop.ha.ZKFailoverController
org.apache.hadoop.hdfs.tools.DFSZKFailoverController

@Private public class DFSZKFailoverController extends org.apache.hadoop.ha.ZKFailoverController

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.ha.ZKFailoverController

  `conf, localTarget, rpcServer, USAGE, ZK_ACL_KEY, ZK_AUTH_KEY, ZK_QUORUM_KEY, ZKFC_CONF_KEYS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `checkRpcAdminAccess()`
  `static DFSZKFailoverController`
  `create(org.apache.hadoop.conf.Configuration conf)`
  `protected org.apache.hadoop.ha.HAServiceTarget`
  `dataToTarget(byte[] data)`
  `List<org.apache.hadoop.ha.HAServiceTarget>`
  `getAllOtherNodes()`
  `protected org.apache.hadoop.security.authorize.PolicyProvider`
  `getPolicyProvider()`
  `protected InetSocketAddress`
  `getRpcAddressToBindTo()`
  `protected String`
  `getScopeInsideParentNode()`
  `protected void`
  `initRPC()`
  `protected boolean`
  `isSSLEnabled()`
  `void`
  `loginAsFCUser()`
  `static void`
  `main(String[] args)`
  `protected void`
  `setLastHealthState(org.apache.hadoop.ha.HealthMonitor.State newState)`
  `protected byte[]`
  `targetToData(org.apache.hadoop.ha.HAServiceTarget target)`

  ### Methods inherited from class org.apache.hadoop.ha.ZKFailoverController

  `getElectorForTests, getLastHealthState, getLocalTarget, getServiceState, run, startRPC`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### dataToTarget

    protected org.apache.hadoop.ha.HAServiceTarget dataToTarget(byte[] data)
    Specified by:
      `dataToTarget` in class `org.apache.hadoop.ha.ZKFailoverController`

  - ### targetToData

    protected byte[] targetToData(org.apache.hadoop.ha.HAServiceTarget target)
    Specified by:
      `targetToData` in class `org.apache.hadoop.ha.ZKFailoverController`

  - ### getRpcAddressToBindTo

    protected InetSocketAddress getRpcAddressToBindTo()
    Specified by:
      `getRpcAddressToBindTo` in class `org.apache.hadoop.ha.ZKFailoverController`

  - ### getPolicyProvider

    protected org.apache.hadoop.security.authorize.PolicyProvider getPolicyProvider()
    Specified by:
      `getPolicyProvider` in class `org.apache.hadoop.ha.ZKFailoverController`

  - ### create

    public static DFSZKFailoverController create(org.apache.hadoop.conf.Configuration conf)

  - ### initRPC

    protected void initRPC() throws IOException
    Overrides:
      `initRPC` in class `org.apache.hadoop.ha.ZKFailoverController`
    Throws:
      `IOException`

  - ### loginAsFCUser

    public void loginAsFCUser() throws IOException
    Specified by:
      `loginAsFCUser` in class `org.apache.hadoop.ha.ZKFailoverController`
    Throws:
      `IOException`

  - ### getScopeInsideParentNode

    protected String getScopeInsideParentNode()
    Specified by:
      `getScopeInsideParentNode` in class `org.apache.hadoop.ha.ZKFailoverController`

  - ### main

    public static void main(String[] args) throws Exception
    Throws:
      `Exception`

  - ### checkRpcAdminAccess

    protected void checkRpcAdminAccess() throws IOException, org.apache.hadoop.security.AccessControlException
    Specified by:
      `checkRpcAdminAccess` in class `org.apache.hadoop.ha.ZKFailoverController`
    Throws:
      `IOException`
      `org.apache.hadoop.security.AccessControlException`

  - ### setLastHealthState

    protected void setLastHealthState(org.apache.hadoop.ha.HealthMonitor.State newState)
    Overrides:
      `setLastHealthState` in class `org.apache.hadoop.ha.ZKFailoverController`

  - ### getAllOtherNodes

    public List<org.apache.hadoop.ha.HAServiceTarget> getAllOtherNodes()
    Specified by:
      `getAllOtherNodes` in class `org.apache.hadoop.ha.ZKFailoverController`

  - ### isSSLEnabled

    protected boolean isSSLEnabled()
    Specified by:
      `isSSLEnabled` in class `org.apache.hadoop.ha.ZKFailoverController`